/*
 * Created by ArduinoGetStarted.com
 *
 * This example code is in the public domain
 *
 * Tutorial page: https://arduinogetstarted.com/tutorials/arduino-button-library
 *
 * This example reads the state of a button without debounce and print it to Serial Monitor.
 * 
 * ezButton library Example 01.SingleButton example enhanced to show
 * times that bounces are detected.
 * 
 * davekw7x,
 * June, 2022
 */

#define buttonPin 2
#include <ezButton.h>

// Instantiate button object.  Debounce time is zero,
// so it is not debounced.

ezButton button(buttonPin);
void setup()
{
  Serial.begin(115200);
  // Wait for serial port connection
  while (!Serial) ;
  Serial.println("\nDave's ezButton test compiled on  " __DATE__ " at " __TIME__);
  Serial.print("Monitor state of button on pin ");Serial.print(buttonPin);
  Serial.println(" (not debounced)");
}


void loop()
{
  static int old_state = -1;
  button.loop(); // MUST call the loop() function first

  int btnState = button.getState();
  if (btnState != old_state) {
    Serial.print(millis()); Serial.print(": "); Serial.println(btnState);
    old_state = btnState;
  }
}
